\documentclass[
	11pt
]{article}

\usepackage{amsmath} % align equations 
\usepackage[colorlinks=true,linkcolor=blue]{hyperref} % \phantomsection

\usepackage{booktabs} % for \toprule and other pretty table features

\usepackage[
	backend=biber,
	url=false
	]{biblatex}
\AtEveryBibitem{
	\clearfield{note}
	}
\usepackage{float} % for hard float operator [H]

\usepackage{tabulary}
%\usepackage{tabularx}
\usepackage{ltablex}
\usepackage{longtable}
%\usepackage{longtabu}

\usepackage{graphicx} % for figures in other directories.
%\graphicspath{{C:/Users/crowley/Documents/wsim/docs/concepts/}{//Fig/WSIM/wsim_gldas/validation}}

\usepackage{gensymb} % \degree

%\usepackage[htt]{hyphenat} % break text in \texttt

\usepackage{fancyhdr} % headers n footers
\usepackage{xcolor} % \textcolor the footnotes gray




\usepackage[en-US]{datetime2} % Use to get date in month, year for title

\addbibresource{C:/Users/crowley/Documents/wsim/docs/references.bib}
% Note: bib files can contain hundreds of entries; only cited references will be in the final list in the document.

\begin{document}
\title{ {\fontfamily{
ma1bi8a
%phv
}\selectfont{Water Security Indicator Model using Global Land Data Assimilation}}}
% Turn on the style
\pagestyle{fancy}

% Clear the header and footer
\fancyhf{}

% Set the right side of the footer to be the page number
\fancyfoot[R]{\textcolor{gray}{\thepage}}
\fancyfoot[L]{\textcolor{gray}{Documentation last revised \today.}}
\fancyhead[L]{\textcolor{gray}{NASA Socioeconomic Data and Applications Center (SEDAC) \ Documentation for WSIM-GLDAS}}
\DTMlangsetup{showdayofmonth=false}
\date{\today}
%TODO: Get author listing under date, rather than date under author listing. 
\author{ISciences, L.L.C.} %TODO: Add Authors and affiliations
\maketitle

% reset for documentation footnote:
\DTMlangsetup{showdayofmonth=true} 

\begin{abstract}
	This document outlines the basic methodology and data sets used to construct the Water Security Indicator Model using Global Land Data Assimilation System (WSIM-GLDAS) data set, along with use cases, limitations, and use constraints. 
	The WSIM-GLDAS %TODO: Should abbreviations be re-defined after the abstract?
	data set characterizes surpluses and deficits of fresh water, and parameters determining them, across the global terrestrial surface. Driven by outputs of NASA's Global Land Data Assimilation V2.0 monthly Noah Land Surface Model 	
	\cite{Beaudoing:2015}, WSIM generates anomalies of:
%	
	\begin{enumerate}
		\item{Temperature}
		\item{Precipitation}
		\item{Soil moisture}
		\item{Potential minus actual evapotranspiration}
		\item{Runoff}
		\item{Total blue water (flow-accumulated runoff)}
		\item{Composite index of water surpluses}
		\item{Composite index of water deficits}
	\end{enumerate}
%
in terms of their return periods with respect to a fitted generalized extreme value (GEV) probability distribution over a historical baseline period of January 1950 to December 2009 
at a global spatial resolution of 0.25 degrees over monthly, 3-month, 6-month, and 12-month periods of integration. The data cover the time period between January 1948 and December 2010, inclusive.

\end{abstract}

\paragraph{Data set citation:}
\paragraph{Suggested citation for this document:} Crowley, C., Baston, D., Brinks, J. 2019. Documentation for the WSIM-GLDAS. Palisades, NY: NASA Socioeconomic Data and Applications Center.

%TODO: Fix this centering
\begin{center}
	\footnotesize{We appreciate feedback regarding this data set, such as suggestions, discovery of errors, difficulties in using the data, and format preferences. Please contact:\\
NASA Socioeconomic Data and Applications Center (SEDAC)\\
Center for International Earth Science Information Network (CIESIN)\\
Columbia University\\
Phone: 1 (845) 365-8920\\
Email: ciesin.info@ciesin.columbia.edu}\\
\end{center}

\addcontentsline{toc}{section}{Table of Contents}
\tableofcontents
	\phantomsection 
	% Note adding contents works before the sections even exist. 


\addcontentsline{toc}{section}{Introduction}
% the asterisk makes it so that Introduction is still printed in the TOC
\section*{Introduction} 
%First, briefly describe the data set or collection, including basic information from the data set abstract as well as information on spatial coverage and spatial resolution. Then describe the purpose for creating and disseminating the resource (i.e., data set or collection of data sets), including relevant information about the rationale, identified needs, and potential uses that led to the creation of the resource and the value of the resource for expected user communities. Provide a short, 2-3 sentence description of the input data and methods. If the documentation is for a collection, list the data sets, e.g. for GPWv4:

%“Separate grids are available for population counts and population density, UN-adjusted population counts and population density, data quality indicators, and land and water areas. Additionally, a vector data set of the center point locations (centroids) for each of the input administrative units and a grid of identifying the source of the national statistical data for a given pixel are included in the collection in order to share information about the inputs that would be otherwise restricted by data licensing agreements.”

%Additional information may include the limitations of currently available alternative data products that address the same needs.

%If this data set represents a revision of a currently disseminated data set, briefly mention issues addressed in the current version of the data and refer to the Methods section, where the changes to the data are described, and to Appendix 2, Data Revision History, where the lineage of the data is described in detail.

\paragraph{}WSIM-GLDAS is a global gridded data set produced using the land surface model outputs of NASA's Global Land Data Assimilation System (GLDAS) Noah V2.0 monthly model \cite{Beaudoing:2015} \cite{Rodell:2004} as inputs to the open source Water Security Indicator Model (WSIM) to generate time series of anomalies of fresh water parameters at a 0.25-degree resolution at monthly time steps. 

\paragraph{} The central premise of WSIM is that societies structure their activities based in part on expected climatic provisions of fresh water, and are able to maintain these activities within certain degree of variation in the amount, frequency, and timing of fresh water provisions \cite{WSIMdocs:2019}. Variation exceeding that experienced in the historical record, however, may force societies to react in unusual ways. While the relationship between climatic stresses and societal functioning is complex, such reactions could induce transnational water disputes, agricultural shortfalls, electricity shortages, population displacements, infectious disease outbreaks, or political instability. %TODO: Find citations for these?

\paragraph{} This premise motivates WSIM to quantify the rarity of an observed value of a fresh water parameter (e.g., precipitation) by expressing it in terms of its return period, an anomaly measure that expresses the average time interval between occurrences of events of equal or greater severity. %TODO: Get a technical definition and cite
The expression of water events in terms of anomaly levels such as return periods has some advantages over expressing the variable merely in scientific units (e.g., millimeters of precipitation). First, the initial estimates of the raw values on which a return period is calculated need be accurate only relative to one another to generate an accurate return period. Calculating return periods on observed values implicitly corrects for bias, scaling, and skewing in the observed values\cite{WSIMdocs:2019}. %TODO: Find another citation for this? And if so, update both here and in the online docs..

\paragraph{}Additionally, the use of anomaly measures such as return periods expresses the severity of a water deficit or surplus with respect to the historical hydrological record particular to the locale.  Expressing observed values as anomalies with respect to local history provides additional utility to these data by conveying the severity of the event, which is particular to its seasonality and locale of occurrence.  Further, WSIM calculates anomalies for multiple time integration periods, providing data on both short- and long-term water stresses. 

\paragraph{} Another key feature of WSIM is to calculate composite indices of water surpluses and deficits, and their respective return periods. These indices aggregate drivers of overall water deficits (potential minus actual evapotranspiration, soil moisture, and total blue water) and surpluses (runoff, total blue water). Composite surpluses and deficit indices quickly summarize multiple hydrologic drivers and provides data on situations in which both water deficits and surpluses are occurring. For example, a warm dry spring in a mountain valley may cause soil moisture to be anomalously dry, while rapid upstream snow-melt causes heavy runoff in local watersheds. 

\paragraph{}The WSIM-GLDAS data set is a product of data outputs from the peer-reviewed, established land surface model GLDAS, while providing added utility to these data products.  Inputs to WSIM-GLDAS comprise ten of the 36 parameters provided by the GLDAS-2.0 Noah data product. WSIM ingests these input data, transforms them or derives new variables from them as applicable, fits a theoretical probability function to the distribution of the time series of parameters within a historical baseline of 1959 to 2009, and computes a return period of each observation in the data set, for each of one-month, three-month, six-month, and 12-month time integration periods, for each month spanning January 1948 to December of 2010.

\addcontentsline{toc}{section}{Data and Methodology}
\section*{Data and Methodology}
%TODO: Mention files that need to be in source folder, e.g. HydroBasins. 
% Update: edited config gldas such that it doesn't import 
\subsection*{Input data}

%Describe and reference the input and/or ancillary data products and services that were utilized to create the resource. Source data should be cited in text and a full reference, including the hyperlinked DOI, should be provided in the reference section. To the extent possible, describe the accuracy of recorded measurements in the raw data. Refer to an external document, if applicable.

Outputs of the Global Land Data Assimilation System 2.0 Noah monthly data product are described by Beaudoing and Rodell (2015) and Rodell et al. (2004). % TODO: Fix these cites, figure out correct citation style.

The Global Land Data Assimilation System combines ground- and space-based observational measurements and theoretical models to provide high-resolution estimates of terrestrial water and energy storage \cite{Rodell:2004}. GLDAS-2.0 Noah data products provide 0.25 degree resolution at monthly timesteps for 36 parameters.

WSIM-GLDAS operates on ten of the GLDAS 2.0 Noah outputs: nominally, \texttt{Tair\textunderscore f\textunderscore inst}, \texttt{Rainf\textunderscore f\textunderscore tavg}, \texttt{PotEvap\textunderscore tavg}, \texttt{Evap\textunderscore tavg}, \texttt{Qs\textunderscore acc}, \texttt{Qsb\textunderscore acc}, \texttt{Qsm\textunderscore acc}, \texttt{SoilMoi0\textunderscore 10cm\textunderscore inst}, \texttt{SoilMoi10\textunderscore 40cm\textunderscore inst}, and \texttt{SoilMoi40\textunderscore 100cm\textunderscore inst}. 

\subsection*{Methods}
%Describe procedures that were used to create the resource, and activities conducted during each stage of resource development efforts, including: data acquisition, ingest, processing, post-processing, and preparation of final outputs for dissemination. Depending on level of complexity, methods could be described in prose, as numbered steps, or with subheadings. Reference should be made to the theoretical or empirical basis for employing the chosen methods. In addition, describe the rationale for decisions made in producing the resource, say when alternative methods (or data inputs) may have been available, and provide a brief justification for those decisions. Include reference to, or description of, any software products, services, or scripts that were used to create, access, or process the data. Provide a short in text reference with a complete citation in the reference section that includes attribution for authors, title and version, publisher or distributor, and the persistent identifier for accessing the software products. 


	\subsubsection*{Processing of GLDAS data product variables}
	
	\paragraph{Temperature}
%TODO: If we DON'T include raw Temperature values, decide whether this should be included, and/or whether a clause should be added on the fact that we're not including raw values in the data product. 

GLDAS temperature data is represented in Kelvin units at the monthly time step. Temperature $T$ was converted from degrees Kelvin to degrees Celsius: $$ T (\degree C) =  T (K) - 273.15 $$ 

	\paragraph{Precipitation}
	\texttt{Rainf\textunderscore f\textunderscore tavg} represents the monthly average 3-hourly rate of total precipitation ($Pr$) in units of $kg \, m^{-2} \, s^{-1}$. To convert this to total monthly precipitation in units of millimeters, WSIM adheres to equation~\ref{converth2o_kg_msquared_s2mm_day} for each month, where $N$ represents the number of days in the specified month.
	
	\begin{equation} \label{converth2o_kg_msquared_s2mm_day}
	\frac{\frac{kg}{m^2} \times \frac{1000 \, g}{kg} \times \frac{m^2}{10000 \, cm^2} \times \frac{cm^3}{g} \times \frac{10 \, mm}{cm}}{sec} \times \frac{86400 \, sec}{day} \times \frac{N \, day}{month} = \frac{mm}{month}
	\end{equation}
	
	\paragraph{Potential minus Actual Evapotranspiration (PETmE)}
GLDAS Potential evapotranspiration ($PET$) is given by \texttt{PotEvap\textunderscore tavg} in Watts per square meter, and is converted to units of millimeters per month using equation~\ref{converth2o_kg_msquared_s2mm_day}. Actual evapotranspiration \texttt{Evap\textunderscore tavg}, ($ET$) is provided in units of kilograms per square meter per second, converted to units of millimeters per month using equation~\ref{convert_w_msquared2mm_d}. 

	\begin{equation} \label{convert_w_msquared2mm_d}
\frac{W}{m^2} \times \frac{J}{W \, sec} \times \frac{kg}{2.5\times10^6 \, J} \times \frac{m^3}{1000 \, kg} \times \frac{1000 \, mm}{m} \times \frac{86400 \, sec} {day} \times \frac{N \, day}{month} = \frac{mm}{month}
	\end{equation}
	
	After converting units, $PETmE$ is generated by subtracting: $$ PETmE = PET - ET $$

	\paragraph{Runoff}
	GLDAS provides storm surface runoff, baseflow-groundwater runoff, and snow melt (nominally \texttt{Qs\textunderscore acc}, \texttt{Qsb\textunderscore acc}, and \texttt{Qsm\textunderscore acc}, respectively), in monthly average 3-hour accumulations in units of kilograms per square meter per 3 hours. To get a measure of total monthly runoff in mm, first these are each converted to units of millimeters per month by equation~\ref{converth20_kg_msquared_3hour2mm_day}. The three converted variables are then summed to produce total runoff. 
	
	\begin{equation}\label{converth20_kg_msquared_3hour2mm_day}
	\frac{ \frac{kg}{m^2} \times \frac{1000 \;g}{kg} \times \frac{m^2}{10000 \; cm^2} \times \frac{cm^3}{g}\times \frac{10 \; mm}{cm}}{3\; hr} \times \frac{8*3 \;hr}{day} \times \frac{N \, day}{month} = \frac{mm}{month}
	\end{equation}
	\paragraph{Flow-accumulated Runoff} 
	WSIM uses a traditional pixel-to-pixel flow accumulation algorithm \cite{WSIMdocs:2019} on grids of derived runoff \texttt{RO} to determine total blue water \texttt{Bt\textunderscore RO}, the amount of runoff in each grid cell that arrives from upstream locations. 
	
	\paragraph{Soil Moisture}	
	Three of the four available GLDAS soil moisture layers are ingested and summed to produce total soil moisture for the top 100 cm of soil. These soil moisture variables are available in units of kilograms per square meter (equivalently, millimeters; see equation ~\ref{waterunitsequiv}) and in GLDAS are named \texttt{SoilMoi0\textunderscore 10cm\textunderscore inst}, \texttt{SoilMoi10\textunderscore 40cm\textunderscore inst}, \texttt{SoilMoi40\textunderscore 100cm\textunderscore inst}. 
	
	\begin{equation} \label{waterunitsequiv}
	\frac{kg}{m^2} \times \frac {1000 \; g}{kg} \times \frac{cm^3}{g} \times \frac{m^2}{10000 \; cm^2} \times \frac{10 \; mm}{cm} = mm 
	\end{equation}

%Describe any QA/QC or validation of the data set, and any quality flags provided as ancillary data. Describe the values for quality flags such as known errors, designations for missing values, uncertainties, and any gaps in coverage, along with the reasons for such anomalies. To the extent possible, describe the accuracy of end product. 

%Describe the issues that were addressed in any revisions to the data and describe, within Appendix 2, Data Revision History, the changes that were included in each revision. 

\paragraph{Return periods and standardized anomalies} For each parameter and integration period, WSIM fits a generalized extreme value (GEV) distribution to observations spanning a 60-year historical baseline of January 1950 to 2009 using the method of L-moments \cite{Hosking:1997}\cite{Hosking:2017}. 
\paragraph{}The fitted cumulative distribution function is used to find the non-exceedance probability  $p$ of each observation of the data set. The return period $R$ is defined as $R = \frac{1}{1-p}$. 
\paragraph{} The cumulative probability is further used to produce a standardized anomaly, another measure of event rarity, computed by calculating the inverse probability of a standard normal distribution. This measure can be conceptualized as a z-score, or the number of standard deviations away from the historical expectation.
\paragraph{}In the example illustrated in Figure \ref{anomaly_cdf} \cite{WSIMdocs:2019}, the cumulative probability of observing 93 mm of precipitation is 0.85, which implies that the exceedance probability is 0.15. The return period in years, then, is $\frac{1}{0.15}=6.7$. In this example, this is to say that 93mm of precipitation in April is expected to occur, on average, once every 6.7 years. 

	\begin{figure}[H]
		\caption{Observations of April precipitation and fitted cumulative probability distribution}
		\label{anomaly_cdf}
		\centering
			\includegraphics{anomaly-calculations-cdfs.png}
	\end{figure}
	
\paragraph{Composite surpluses and deficits}
WSIM computes composite indices of fresh water surpluses and fresh water deficits. The Composite Surplus Index is equivalent to the maximum of the return periods of runoff \texttt{RO} and total blue water \texttt{Bt\textunderscore RO}. The Composite Deficit Index is computed as the most severe return period of soil moisture deficits, high PETmE surpluses, and total blue water deficits \cite{WSIMdocs:2019}. The composite index return periods are reported as such, essentially representing the ``worst" return period of the component indicators. 

WSIM additionally publishes an adjusted composite return period that may better avoid overestimating the rarity of a surplus or deficit. The adjusted composite index is computed identically, by taking the most severe return period of its component indicator. The return period of the index, however, is computed with respect to the historical distribution of index values, rather than with respect to the historical distribution of the underlying component indicator. For more on this methodology, see the WSIM technical documentation \cite{WSIMdocs:2019}.


\addcontentsline{toc}{section}{Data Set Description}
\section*{Data Set Description}
%Describe the data set(s) including a brief description of the data format(s), the filename(s) of the downloadable object(s), and information on the spatial extent and resolution of the data. 

%If applicable, include a table with a data dictionary, codebook, or variable descriptions, including ranges of values and meanings, and the value(s) assigned for missing data. For the dictionary table, provide attribute/variable name in the first column, then short title and description in the following column(s).

%If this documentation is for a collection, list the data sets and describe each one.

%Example:

%The data set(s) is/are available at <hyperlinked DOI for data set or URL of collection overview page>.
The data set is available at \texttt{<}HYPERLINKED SEDAC DOI\texttt{>}

%1.	Population Count, v4 (2000, 2005, 2010, 2015, 2020) 

%Data set description:
%The population count grids consist of estimates of the number of persons per 30 arc-second (~1 km) grid cell for each of the five target years: 2000, 2005, 2010, 2015, and 2020, consistent with national censuses and population registers.
\paragraph{Data set description} Grids of fresh water parameters are available for each month spanning January 1948 to December 2010, and are integrated over 1-month, 3-month, 6-month, and 12-month integration periods at 0.25-degree resolution. 

Table~\ref{tab:params} lists the parameters available in the WSIM-GLDAS data set and their scientific units. 
\renewcommand*{\arraystretch}{1.4}
			\begin{longtable}{lp{5.5cm}p{3.5cm}}  
			\caption{WSIM-GLDAS parameter metadata}\\
			\label{tab:params}
				\textbf{Name} & \textbf{Description} & \textbf{Units} \\
				\hline
				
				\texttt{both} & Return periods of simultaneous composite surpluses and deficits & years \\
				
				\texttt{Bt\textunderscore RO} & Total blue water, or flow accumulated runoff & mm  \\
				
				\texttt{Bt\textunderscore RO\textunderscore sum} & Total blue water summed over the integration period & mm \\
				
				\texttt{Bt\textunderscore RO\textunderscore min} & Minimum monthly total blue water over all months in the integration period & mm \\
				
				\texttt{Bt\textunderscore RO\textunderscore max} & Maximum monthly total blue water over all months in the integration period & mm \\
				
				\texttt{deficit} & Return periods of composite water deficits & years \\
				
				\texttt{deficit\textunderscore cause} & Predominant driver of composite water deficits & Index: 1= -\texttt{PETmE}, 2=\texttt{Ws}, 3=\texttt{Bt\textunderscore RO} \\
				
				\texttt{Pr} & Monthly total precipitation & millimeters (mm) \\
				
				\texttt{Pr\textunderscore ave} & Monthly total precipitation averaged over the integration period & mm \\
				
				\texttt{PETmE} & Total monthly potential minus actual evapotranspiration & mm \\
				
				\texttt{PETmE\textunderscore sum} & Total monthly potential minus actual evapotranspiration, summed over the integration period & mm \\
				
				\texttt{surplus} & Return periods of composite water deficits & years \\
				
				\texttt{surplus\textunderscore cause} & Predominant driver of composite water surpluses & 1=\texttt{RO\textunderscore mm}, 2=\texttt{Bt\textunderscore RO} \\
				
				\texttt{T} & Monthly average air temperature & degrees Celsius (\degree C)  \\
				
				\texttt{T\textunderscore ave} & Monthly air temperature averaged over the integration period & \degree C\\
				 
				\texttt{RO} & Total monthly runoff & mm\\
				
				\texttt{RO\textunderscore sum} & Total runoff summed over the integration period & mm\\
				
				\texttt{Ws} & Soil moisture: Total water content in the top 100 centimeters of soil & mm \\
				\texttt{Ws\textunderscore ave} & Soil moisture averaged over the integration period & mm \\
	
						\hline
			\end{longtable}





\paragraph{Data set web page}

SEDAC URL: 
%http://sedac.ciesin.columbia.edu/data/set/gpw-v4-population-count

Permanent URL: %https://doi.org/10.7927/H4X63JVC

\paragraph{Data set format}
%The files for this data set are available as global grids in GeoTiff format. Each downloadable is a compressed zip file, which contains: 1) the global GeoTiff for the year of estimate, 2) PDF documentation, and 3) a Microsoft Excel file (.xlsx) with country-level information and sources.

	The files for this data set are available as zipped directories of NetCDF files or zipped directories of GeoTiff files, where each directory pertains to a particular metric and contains data on all parameters for which the metric is relevant. Table \ref{tab:files} lists the directories comprising the directory tree and briefly describes the contents of the files within. 
	Files inside the directories include all applicable water parameters and are distinguished by date and metric type, and conform to the following syntax: \texttt{<metric>\textunderscore <integration period>\textunderscore <date>}, where the date represents, in format yyyymm, the final month of the integration period. For example, a file named \texttt{composite\textunderscore 3mo\textunderscore 201001.nc} contains composite surpluses and deficits integrated from November 2009 to January 2010. In all cases, missing values are coded as \texttt{NA}.
	%\texttt{Bt\textunderscore RO\textunderscore max\textunderscore 12mo\textunderscore month\textunderscore 12.nc} contains the maximum total blue water over all 12 month periods in the historical baseline period ending in December (i.e., January 01 to December 31 of each year in 1950-2009). 

	
\renewcommand*{\arraystretch}{1.4}
			\begin{longtable}{lp{5.5cm}p{2cm}}  
			\caption{Data file directories and descriptions}\\
			\label{tab:files}
%				\toprule[1.5pt]
				\textbf{Metric} (directory) & \textbf{Description of files} & \textbf{Variables} (layers) \\
				\hline
				\texttt{anom} & Standardized anomalies & \texttt{T\textunderscore sa}, \texttt{Pr\textunderscore sa}, \texttt{PETmE\textunderscore sa}, \texttt{RO\textunderscore mm\textunderscore sa}, \texttt{Ws\textunderscore sa}, \texttt{Bt\textunderscore RO\textunderscore sa} \\
				
				\texttt{anom\textunderscore int} & Standardized anomalies for parameters integrated over a period of $>$ 1 month & \texttt{Bt\textunderscore RO\textunderscore max\textunderscore sa}, \texttt{Bt\textunderscore RO\textunderscore min\textunderscore sa}, \texttt{Bt\textunderscore RO\textunderscore sum\textunderscore sa}, \texttt{PETmE\textunderscore sum\textunderscore sa}, \texttt{Pr\textunderscore sum\textunderscore sa}, \texttt{RO\textunderscore mm\textunderscore sum\textunderscore sa}, \texttt{T\textunderscore ave\textunderscore sa}, \texttt{Ws\textunderscore ave\textunderscore sa} \\
				
				\texttt{composite} & Composite surplus and deficit indices, expressed as a capped return period of the governing underlying variable. For example, a surplus value of 40 indicates that the value of the underlying variable most responsible for the surplus would be expected, on average, to occur once every 40 years. &  \texttt{surplus}, \texttt{deficit}, \texttt{both}, \texttt{surplus\textunderscore cause}, \texttt{defict\textunderscore cause}\\
				
				\texttt{composite\textunderscore adjusted} & Composite surplus and deficit indices, expressed as a capped return period of the index itself. For example, a surplus value of 40 indicates surplus condition severity that would be expected, on average, once every 40 years. & \texttt{surplus}, \texttt{deficit}, \texttt{both}, \texttt{surplus\textunderscore cause}, \texttt{defict\textunderscore cause}\\
				
				\texttt{composite\textunderscore anom} & Adjusted standardized anomalies of composite indices & \texttt{surplus}, \texttt{deficit}, \texttt{both}, \texttt{surplus\textunderscore cause}, \texttt{defict\textunderscore cause}\\
				
				\texttt{composite\textunderscore anom\textunderscore rp} & Non-capped return periods of adjusted composite indices & \texttt{surplus\textunderscore rp}, \texttt{deficit\textunderscore rp} \\
				
				\texttt{fits} & Parameter (location, scale, shape) values of fitted GEV distribution. Fit files are named \texttt{<variable>\textunderscore <integration period>\textunderscore month\textunderscore <mm>}, and are organized one file per parameter integration period per month & \texttt{Bt\textunderscore RO},        \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{composite\textunderscore anom\textunderscore deficit}, \texttt{composite\textunderscore anom\textunderscore surplus}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
				
				\texttt{results} & Values in scientific units particular to the parameter of interest (See Table~\ref{tab:params} &\texttt{T}, \texttt{Pr}, \texttt{PETmE}, \texttt{RO\textunderscore mm}, \texttt{Ws} \texttt{Bt\textunderscore RO}\\
				
				\texttt{results\textunderscore integrated} & Results for integration periods $>$ 1 month & \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{PETmE\textunderscore sum}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T\textunderscore ave}, \texttt{Ws\textunderscore ave}\\
				
				\texttt{rp} & Uncapped return period in years & \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{PETmE\textunderscore sum}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T\textunderscore ave}, \texttt{Ws\textunderscore ave}\\
				
				\texttt{rp\textunderscore integrated} & Uncapped periods for parameters integrated over periods $>$ 1 month & \texttt{Bt\textunderscore RO\textunderscore max\textunderscore rp}, \texttt{Bt\textunderscore RO\textunderscore min\textunderscore rp}, \texttt{Bt\textunderscore RO\textunderscore sum\textunderscore rp}, \texttt{PETmE\textunderscore sum\textunderscore rp}, \texttt{Pr\textunderscore sum\textunderscore rp}, \texttt{RO\textunderscore mm\textunderscore sum\textunderscore rp}, \texttt{T\textunderscore ave\textunderscore rp}, \texttt{Ws\textunderscore ave\textunderscore rp}\\

						\hline
			\end{longtable}

\paragraph{**ALTERNATIVE**:} The files for this data set are available as zipped directories of NetCDF files or zipped directories of GeoTiff files, where each directory contains all files for an individual water parameter and integration period, with directory names conforming to the syntax:\\ \texttt{<parameter>\textunderscore <integration\textunderscore period>\textunderscore <file\textunderscore type>.zip}.\\ For example, the directory \texttt{T\textunderscore ave\textunderscore 3mo\textunderscore nc.zip} contains a NetCDF file integrating temperature over three months, ending in each month spanning March 1948 through December 2012. Each of the files in the directory contains data for all the metrics listed in Table ~\ref{tab:params2} corresponding to parameter \texttt{T\textunderscore ave}. 
\renewcommand*{\arraystretch}{1.4}
			\begin{longtable}{lp{4.5cm}p{1.5cm}p{2cm}}  
			\caption{WSIM-GLDAS parameter metadata}\\
			\label{tab:params2}
				\textbf{Parameter} & \textbf{Description} & \textbf{Units} & \textbf{Metrics} (layers) \\
				\hline
				\texttt{Bt\textunderscore RO} & Total blue water, or flow accumulated runoff & millimeters (mm) & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}  \\
				
				\texttt{Bt\textunderscore RO\textunderscore max} & Maximum monthly total blue water over all months in the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{rp}  \\
				
				\texttt{Bt\textunderscore RO\textunderscore min} & Minimum monthly total blue water over all months in the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}   \\
				
				\texttt{Bt\textunderscore RO\textunderscore sum} & Total blue water summed over the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp} \\
	
				\texttt{composite} & Composite surplus and deficit indices, expressed as a capped return period of the governing underlying variable. For example, a surplus value of 40 indicates that the value of the underlying variable most responsible for the surplus would be expected, on average, to occur once every 40 years. & years & \texttt{both\textunderscore rp}, \texttt{deficit\textunderscore cause}, \texttt{deficit\textunderscore rp}, \texttt{surplus\textunderscore cause}, \texttt{surplus\textunderscore rp} \\	
	
				\texttt{composite\textunderscore adj} & Composite surplus and deficit indices, expressed as a capped return period of the index itself. For example, a surplus value of 40 indicates surplus condition severity that would be expected, on average, once every 40 years. & years & \texttt{both\textunderscore anom}, \texttt{both\textunderscore rp}, \texttt{deficit\textunderscore rp},  \texttt{deficit\textunderscore anom}, \texttt{deficit\textunderscore cause}, \texttt{deficit\textunderscore gev\textunderscore location}, \texttt{deficit\textunderscore gev\textunderscore scale}, \texttt{deficit\textunderscore gev\textunderscore shape}, \texttt{deficit\textunderscore rp}, \texttt{surplus\textunderscore anom},  \texttt{surplus\textunderscore cause},  \texttt{surplus\textunderscore gev\textunderscore location}, \texttt{surplus\textunderscore gev\textunderscore scale}, \texttt{surplus\textunderscore gev\textunderscore shape}, \texttt{surplus\textunderscore rp} \\
				
						
					
				\texttt{PETmE} & Total monthly potential minus actual evapotranspiration & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp} \\
				
				\texttt{PETmE\textunderscore sum} & Total monthly potential minus actual evapotranspiration, summed over the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{Pr} & Monthly total precipitation & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp} \\
				
				\texttt{Pr\textunderscore sum} & Monthly total precipitation averaged over the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{RO\textunderscore mm} & Total monthly runoff & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{RO\textunderscore mm\textunderscore sum} & Total runoff summed over the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{T} & Monthly average air temperature & degrees Celsius (\degree C) & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{T\textunderscore ave} & Monthly air temperature averaged over the integration period & \degree C & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{Ws} & Soil moisture: Total water content in the top 100 centimeters of soil & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp}\\
				
				\texttt{Ws\textunderscore ave} & Soil moisture averaged over the integration period & mm & \texttt{anom}, \texttt{gev\textunderscore location}, \texttt{gev\textunderscore scale}, \texttt{gev\textunderscore shape}, \texttt{results}, \texttt{rp} \\
						\hline
			\end{longtable}
			
			
%\renewcommand*{\arraystretch}{1.4}
%			\begin{longtable}{lp{5cm}p{3cm}}  
%			\caption{Anomaly metrics}\\
%			\label{tab:files2}
%%				\toprule[1.5pt]
%				\textbf{Metric} & \textbf{Description} & \textbf{Variables (files)} \\
%				\hline
%				\texttt{anom} & Standardized anomalies & \texttt{Bt\textunderscore RO},
%				\texttt{Bt\textunderscore RO\textunderscore max},
%   			    \texttt{Bt\textunderscore RO\textunderscore min},
%   			    \texttt{Bt\textunderscore RO\textunderscore sum},
%   			    \texttt{composite\textunderscore surplus},
%   			    \texttt{composite\textunderscore deficit},
%   			    \texttt{composite\textunderscore both},
%   			    \texttt{composite\textunderscore adj\textunderscore surplus},
%   			    \texttt{composite\textunderscore adj\textunderscore deficit},
%   			    \texttt{deficit\textunderscore cause}, 
%   			    \texttt{surplus\textunderscore cause},
%   			    \texttt{T},
%   			    \texttt{T\textunderscore ave},
%                \texttt{PETmE},
%                \texttt{PETmE\textunderscore sum},
%   			    \texttt{Pr},
%   			    \texttt{Pr\textunderscore sum},
%   			    \texttt{RO\textunderscore mm},
%   			    \texttt{RO\textunderscore mm\textunderscore sum},
%   			    \texttt{Ws}, 
%   			    \texttt{Ws\textunderscore ave}
%   			    \\ 
%				\texttt{gev\textunderscore location} & Location parameter value of fitted GEV distribution & \texttt{Bt\textunderscore RO},        \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{composite\textunderscore anom\textunderscore defict}, \texttt{composite\textunderscore anom\textunderscore surplus}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
%				
%				\texttt{gev\textunderscore shape} & Shape parameter value of fitted GEV distribution & \texttt{Bt\textunderscore RO},        \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{composite\textunderscore anom\textunderscore defict}, \texttt{composite\textunderscore anom\textunderscore surplus}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
%				
%				\texttt{gev\textunderscore scale} & Scale parameter value of fitted GEV distribution & \texttt{Bt\textunderscore RO},        \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{composite\textunderscore anom\textunderscore defict}, \texttt{composite\textunderscore anom\textunderscore surplus}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
%				
%				\texttt{results} & Values in scientific units particular to the parameter of interest (See Table ~\ref{tab:params}.) & \texttt{Bt\textunderscore RO}, \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
%				
%				
%				\texttt{rp} & Return period in years &  \texttt{Bt\textunderscore RO}, \texttt{Bt\textunderscore RO\textunderscore max}, \texttt{Bt\textunderscore RO\textunderscore min}, \texttt{Bt\textunderscore RO\textunderscore sum}, \texttt{PETmE}, \texttt{PETmE\textunderscore sum}, \texttt{Pr}, \texttt{Pr\textunderscore sum}, \texttt{RO\textunderscore mm}, \texttt{RO\textunderscore mm\textunderscore sum}, \texttt{T}, \texttt{T\textunderscore ave}, \texttt{Ws}, \texttt{Ws\textunderscore ave}\\
%
%						\hline
%			\end{longtable}	
	
	
\paragraph{Data set downloads}
%gpw-v4-population-count-2000.zip
%gpw-v4-population-count-2005.zip
%gpw-v4-population-count-2010.zip
%gpw-v4-population-count-2015.zip
%gpw-v4-population-count-2020.zip


%\addcontentsline{toc}{section}{How to Use the Data}
%\section*{How to Use the Data}
%This section is optional. It is intended for cases in which specific procedures or transformations are required for the use of the data set, or where instructions need to be provided to use the data set effectively. An example of the latter is the case of the PLACEv3 data set where instructions were provided on the use of pivot tables in Excel.



\addcontentsline{toc}{section}{Potential Use Cases}
\section*{Potential Use Cases}
%Provide one or more use cases describing possible applications of the data. It may be useful to provide an actual worked example. Note that potential use cases are typically included in the data set nomination package provided to the UWG, and may be reused here.
% TODO ask what that last one means 
The WSIM-GLDAS data set can be used to create series of ``hotspot" maps that present a succinct visualization of the evolution of short- or long-term water deficits and surpluses in a particular region or the world at large. Figure ~\ref{hotspot_map} presents a 60-year history of composite surpluses and deficits integrated over January--December for each of the 60 years spanning 1951 to 2010 in the southwestern United States. 

	\begin{figure}[H]
		\label{hotspot_map}
		\centering
			\includegraphics[width=\textwidth]{southwest_us_multipanel_2.png}
				\caption{60-year history of annualized composite surpluses and deficits}

	\end{figure}

\addcontentsline{toc}{section}{Limitations}
\section*{Limitations}
%Describe any limitations, known issues, uncertainties, or constraints for using the data set. If there are no known limitations, then indicate this.

\paragraph{Limitations of WSIM:}

- Return periods generally

- Choice of baseline

- Assumption of non-stationarity

- Theoretical vs. empirical distribution

\paragraph{Limitations of GLDAS}: ? See docs.

\addcontentsline{toc}{section}{Acknowledgments}
\section*{Acknowledgments}
%Describe the contributions of each creator or organization that was involved during each stage of the resource development in order to identify responsible parties and their roles and to provide attribution for such contributions. Similarly, acknowledge individuals and organizations that contributed to the curation, production, and publication of the data product or service. Finally, identify funding agencies, including grant or contract numbers, and the efforts of other organizations that supported the creation or publication of the resource. 

%Always include the following text at the end:

%Funding for <development and dissemination of (chose one or both)> this data set was provided under the U.S. National Aeronautics and Space Administration (NASA) contract 80GSFC18C0111 for the continued operation of the Socioeconomic Data and Applications Center (SEDAC), which is operated by the Center for International Earth Science Information Network (CIESIN) of Columbia University. 


\addcontentsline{toc}{section}{Disclaimer}
\section*{Disclaimer}
%The following text is standard:

CIESIN follows procedures designed to ensure that data disseminated by CIESIN are of reasonable quality. If, despite these procedures, users encounter apparent errors or misstatements in the data, they should contact SEDAC User Services at ciesin.info@ciesin.columbia.edu. Neither CIESIN nor NASA verifies or guarantees the accuracy, reliability, or completeness of any data provided. CIESIN provides this data without warranty of any kind whatsoever, either expressed or implied. CIESIN shall not be liable for incidental, consequential, or special damages arising out of the use of any data provided by CIESIN.   


\addcontentsline{toc}{section}{Use Constraints}
\section*{Use Constraints}

%In the case of certain data sets, restrictions such as non-commercial use may apply. Consult with the Senior Digital Archivist or refer to the SEDAC Guide to Labeling Rights for descriptions of labels for rights for all cases other than “no restrictions.” If you are certain there are no restrictions, the following is the standard statement for the data set: 

Users are free to use, copy, distribute, transmit, and adapt the work for commercial and non-commercial purposes, without restriction, as long as clear attribution of the source is provided. 

\addcontentsline{toc}{section}{Recommended Citations}
\section*{Recommended Citation(s)}

\paragraph{Data set:}

\paragraph{Scientific publication:}

\addcontentsline{toc}{section}{Source Code}
\section*{Source Code}
%Optional section describing the availability of code used to develop the data set. The code, must be archived with the data. Users may be directed to contact SEDAC User Services at ciesin.info@ciesin.columbia.edu to obtain the code, or the code may be posted at a public repository such as GitHub, in which case provide the URL. 
%Example: No source code is provided. 
%Example: Please contact SEDAC User Services at ciesin.info@ciesin.columbia.edu for information about the code used to develop the data set. 
%Example: The source code used to develop this data set is being disseminated at <hyperlinked DOI> and is available as open source software.

Source code used to develop the WSIM-GLDAS data set is available at \texttt{https://gitlab.com/isciences/wsim/wsim}, using wsim version 2.0.1141. 
% Bibliography
\printbibliography

\addcontentsline{toc}{section}{Documentation Copyright and License}
\section*{Documentation Copyright and License}
%Copyright yyyy. The Trustees of Columbia University in the City of New York. This document is licensed under a Creative Commons Attribution 4.0 International License (http://creativecommons.org/licenses/by/4.0/).

%Alternative copyright statement:
%Copyright yyyy. <Author names>. This document is licensed under a Creative Commons Attribution 4.0 International License

% TODO: These two sections need to be not numbered, but rather "numbered" as Appendix 1. and Appendix 2. 
\section*{Appendix 1}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Josh's sample table %%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\begin{table}[H]
%
%\centering
%
%\caption[Agusan del Norte Destination]{Top 5 estimated migration outflow destinations of the Agusan del Norte province between 1990-1995 and 1995-2000. Total persons were estimated using IPUMS-I Philippines 2000 Census person weights.}

%\label{tab:agusan}
%\texttt{
%\begin{tabular}{@{\extracolsep{8pt}}lrlr@{}}
%
%\toprule[1.5pt]
%
%\multicolumn{2}{c}{\textbf{1990-1995}}                                & \multicolumn{2}{c}{\textbf{1995-2000}}                                \\
%
%\cline{1-2} \cline{3-4}
%
%Destination                   & \multicolumn{1}{c}{Migrants} & Destination                   & \multicolumn{1}{c}{Migrants} \\
%
%\cline{1-2} \cline{3-4}
%
%\textit{Metro Manila (2\textsuperscript{nd})} & 3695 & \textit{Misamis Oriental}              & 2123 \\
%
%\textit{Agusan del Sur}                & 2639 & \textit{Cebu}                          & 2003 \\
%
%\textit{Metro Manila (4\textsuperscript{th}}) & 2637 & \textit{Agusan del Sur}                & 1738 \\
%
%\textit{Cebu}                          & 2414 & \textit{Metro Manila (2\textsuperscript{nd})} & 1540 \\
%
%\textit{Misamis Oriental}              & 2130 & \textit{Metro Manila (4\textsuperscript{th})} & 1349 \\
%
%\bottomrule[1.5pt]
%
%\end{tabular}
%
%\end{table}}







\end{document}

Block comments: CTRL + T 
Block uncomments: CTRL + U

Draft mode in the document class suppresses images; don't use it.

Include Marc Levy and Alex de Sherbinin on discussions of the data packaging and especially of the use cases section  